Subject: Re: [PATCH net-next V4 4/4] net/sched: Introduce act_tunnel_key

From: Shmulik Ladkani <[email-masked]>
Date: Thu, 1 Sep 2016 16:58:18 +0300

On Thu, 1 Sep 2016 14:59:28 +0300 Hadar Hen Zion <[email-masked]> wrote:
> > Seems we need to call tcf_hash_release regardless 'ovr':
> > In case (!exist), we've created a new hash few lines above.
> > Therefore in failure, don't we need a tcf_hash_release()?
> > Am I missing something?  
> 
> You are right, "if (ovr)" line should be removed.

Looking at it again, seems the right condition should be (pls verify):

		if (ret == ACT_P_CREATED)
			tcf_hash_release(*a, bind);

Thanks,
Shmulik